#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%define		pnam	Gnome2-Print
Summary:	Perl interface to the GNOME Print libraries
Summary(pl.UTF-8):	Interfejs perlowy do bibliotek GNOME Print
Name:		perl-Gnome2-Print
Version:	1.001
Release:	4
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	67ae821c4b7cb9046513a3944cd37e9b
Patch0:		perl-5.36.patch
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	perl-ExtUtils-Depends >= 0.1
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.120
BuildRequires:	perl-Gtk2-devel >= 1.120
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	libgnomeprintui >= 2.2.0
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.120
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2::Print Perl module allows a Perl developer to use the GNOME
Printing libraries with Gtk2-perl.

Note: this module is deprecated and no longer maintained.

%description -l pl.UTF-8
Moduł Perla Gnome2::Print umożliwia programistom perlowym korzystanie
z bibliotek GNOME Print wraz z Gtk2-perl.

Uwaga: ten moduł jest przestarzały i nie jest już utrzymywany.

%package devel
Summary:	Development files for Perl Gnome2-Print bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Gnome2-Print dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	libgnomeprintui-devel >= 2.2.0
Requires:	perl-Cairo-devel
Requires:	perl-Glib-devel >= 1.120
Requires:	perl-Gtk2-devel >= 1.120

%description devel
Development files for Perl Gnome2-Print bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Gnome2-Print dla Perla.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/Print/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{perl_vendorarch}/Gnome2/Print.pm
%dir %{perl_vendorarch}/Gnome2/Print
%{perl_vendorarch}/Gnome2/Print/Config
%{perl_vendorarch}/Gnome2/Print/Font
%dir %{perl_vendorarch}/auto/Gnome2/Print
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Print/Print.so
%{_mandir}/man3/Gnome2::Print*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome2/Print/Install
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2-Print.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> a55de46
- perl 5.38.0 rebuild

* Tue Aug 23 2022 Jan Palus <atler@pld-linux.org> a0ab64a
- perl 5.36.0 rebuild

* Tue Aug 23 2022 Jan Palus <atler@pld-linux.org> b96ebb6
- perl 5.36 compatibility fix

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d06f71d
- rebuild with perl 5.34.0

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> d49f6cf
- updated to 1.001, deprecated now
- separated -devel package

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> 3c2bde0
- rebuild with perl 5.32

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0768b0b
- updated macros

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 6331fbf
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> e5c59d5
- rebuild with perl 5.30.0
- release 16 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 34c32eb
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 86ed826
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> fa6c0cd
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> fe62b20
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> d49dc81
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 748ad2c
- release 10 (by relup.sh)

* Fri Apr 10 2015 Jan Rękorajski <baggins@pld-linux.org> ff281db
- rel 9

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 0f7cf89
- x32 rebuild
- release 8 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 9525c11
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1bfba9d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 363111d
- rebuild for perl 5.20
- release 6 (by relup.sh)

